Rather than wait for perfection, I'm making available an SVN patch of my work-to-date for information card support in DasBlog 1.9.6264. You can get it here from the Casa dé Hambone Download Center.

Due to the dependence in my current build on Microsoft.IdentityModel.TokenProcessor, you will require .NET Framework 3.0 and Visual Studio 2005 with the Visual Studio 2005 Web Application Projects add-on installed in order to open and build the project after applying the patch. Furthermore, you must run this instance of DasBlog as an ASP.NET 2.0 application.

A version of Microsoft.IdentityModel.TokenProcessor that works with .NET Framework 1.1 is forthcoming. As my implementation of information card support in this patch is provider driven, a .NET Framework 1.1-compatible TokenProcessor can be dropped in and the project returned to Visual Studio 2003 and ASP.NET 1.1.